xinput_calibrator(1)

NAME
xinput_calibrator - A generic touchscreen calibration program for X.Org

SYNOPSIS
xinput_calibrator_x11 [OPTIONS]
xinput_calibrator_gtkmm [OPTIONS]

DESCRIPTION
xinput_calibrator is a program for calibrating your touchscreen, when using the X Window System.

It currently features:
- a minimalistic and intuitive GUI (X11 or gtkmm)
- works for any standard Xorg touchscreen driver (uses XInput to get axis valuators)
- can output the calibration in xorg.conf and FDI format
- can dynamically recalibrate the evdev driver
- and more

see http://www.freedesktop.org/wiki/Software/xinput_calibrator

OPTIONS

-h, --help
    Print a help message listing the version and available options.

-v, --verbose
    Print debug messages during the process.

--list
    List the calibratable input devices.

--device device_name_or_id Select a specific device to calibrate; use --list to list the calibratable input devices.

--precalib min_x max_x min_y max_y
    Manually provide the current calibration setting.
    This is usefull if the calibration values are stored in your xorg.conf, but the driver does not export them through XInput (eg, the calibrator can not know these values)

--fake
    Emulate a fake driver (for testing purposes)
    Usefull to test the calibrator without applying the values, and possibly even without having a touchscreen.

SEE ALSO
xinput(1)

AUTHORS
Tias Guns <tias@ulyssis.org>